List execution artifacts
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/code/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/code/artifacts \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"context_id": "<string>",
"kind": "image",
"mime_type": "<string>",
"name": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_count": 123,
"expires_at": "2023-11-07T05:31:56Z",
"preview_url": "<string>",
"download_url": "<string>",
"metadata": {}
}
],
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Code
List execution artifacts
Lists artifacts produced by code execution for a machine. Supports filtering by context, execution count, and artifact kind.
GET
/
v1
/
machines
/
{id}
/
code
/
artifacts
List execution artifacts
import requests
url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/code/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/machines/{id}/code/artifacts \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"context_id": "<string>",
"kind": "image",
"mime_type": "<string>",
"name": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_count": 123,
"expires_at": "2023-11-07T05:31:56Z",
"preview_url": "<string>",
"download_url": "<string>",
"metadata": {}
}
],
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Path Parameters
Machine ID (e.g. mch_a1b2c3d4)
Query Parameters
Available options:
image, document, html, file